/* ******************** ANY MENU ************************ */
.menu-cat-icon {
  width: 14px;
  height: 14px;

  margin-left: 2px;
  margin-right: 2px;
}

.menu-btn {
  width: 22px;            /* alt: 18px */
  height: 22px;           /* alt: 18px */

  cursor: pointer;
}
.menu-btn-big {
  width: 30px;
  height: 30px;
}
.menu-btn-tag {
  background-color: #2C3E50;
  color: #8FA1AF;
  
  border: solid #5D737E 3px;
  border-radius: 24px;
  padding: 0;
  height: 20px;

  margin-left: 4px;

  display: flex;
  justify-content: center;
  align-items: center;
  
  text-align: center;
  font-size: 12px;
  font-family: 'Times New Roman', Times, serif;
  
  cursor: pointer;
}
.menu-btn-tag-active {
  /* background-color: #A9014B; */
  color: #EEEEEE;

  border: solid #EEEEEE 3px;
}
.menu-btn-tag-text {
  padding-left: 3px;
  padding-right: 6px;
}

.mtable-btn {
  width: 16px;                    /* alt: 18px */
  height: 16px;                   /* alt: 18px */

  margin-left: 6px;               /* alt: 4px */
  margin-right: 2px;              /* alt: 4px */
}



/* ******************** RADIAL MENU ********************* */
.radial-menu {
    position: fixed;
    bottom: 0;
    left: 0;

    width: 50px;
    height: 50px;

    border-radius: 0 100% 0 0;

    z-index: 100;
    overflow: hidden;

    transition: width 1s ease,            /* alt: 0.9s */
                height 1s ease,           /* alt: 1.2s */
                background-color 1s ease;
    
    background-color: #CCCCCCAA;        /* alt: 2C3E5000 */
    box-shadow: 0 0 10px 0 #5D737E,
                inset 0 0 6px 2px #5D737E;
}
.radial-menu:hover {
    width: 150px;
    height: 150px;

    background-color: #2C3E50AA;
    box-shadow: 0 0 10px 0 #5D737E,
                inset -2px 2px 6px 2px #5D737E;
}

.rm-quadrant {
    width: 100%;
    height: 100%;

    transition: transform 1s ease;
    /* background-color: green; */
}
.rm-q1 {
    border-radius: 0 100% 0 0;
    transform: rotate(90deg);
}
.radial-menu:hover .rm-quadrant {
    transform: rotate(0deg);
}

.rm-element {
    position: absolute;

    width: 50px;
    height: 50px;

    transition: opacity 1s ease,
                transform 1s ease;
    transition-delay: 0.2s;

    /* background-color: cyan; */
}
.rm-e0 {
    width: 35px;
    height: 35px;

    bottom: 0;
    left: 0;

    z-index: 101;

    /* background-color: red; */
}
.radial-menu:hover .rm-e0 {
    transform: rotate(360deg);
}
.rm-e1 {
    top:4%;
    left: 4.5%;
    transform: rotate(15deg);
}
.rm-e2 {
    top: 25%;
    right: 25%;
    transform: rotate(45deg);
}
.rm-e3 {
    right: 4%;
    bottom: 4.5%;
    transform: rotate(75deg);
}

.rm-btn {
    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;
}
.rm-btn-icon {
    width: 75%;
    height: 75%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.radial-menu:hover .rm-layer1 {
  opacity: 0;
}
.rm-layer2 {
    opacity: 0;
}
.radial-menu:hover .rm-layer2 {
    opacity: 1;
}

.radial-menu-btn2 {
  background-color: #2C3E50;
  color: #8FA1AF;                           /* alt: #CCCCCC */

  border: solid #5D737E 3px;
  border-radius: 10px;

  width: 25vmin;                              /* alt: 15vmin / 20vmin */
  min-width: 80px;                            /* alt: 60px */
  max-width: 120px;                           /* optional: aspect-ratio: 1 / 1; */

  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 18px;

  margin: 2vmin;                              /* alt: 5vw (margin-left, margin-right) */

  text-align: center;
  font-size: 16px;                            /* alt: font-size 18px */
  font-family: 'Times New Roman', Times, serif;

  cursor: pointer;
}



/* ******************** LATERAL MENU ******************** */
.lateral-menu {
  position: fixed;
  bottom: 0;
  right: 0;

  width: 10px;
  min-width: 10px;
  height: 100vh;

  border-radius: 10px 0 0 10px;

  z-index: 100;
  overflow: hidden;

  transition: width 1s ease,            /* alt: 0.9s */
              min-width 1s ease,
              background-color 1s ease;
  
  background-color: #CCCCCCAA;        /* alt: 2C3E5000 */
  box-shadow: 0 0 10px 0 #5D737E,
              inset 0 0 6px 2px #5D737E;
}
.lateral-menu:hover {
  width: 30vw;
  min-width: 300px;

  border-radius: 0 0 0 0;

  background-color: #2C3E50AA;
  box-shadow: 0 0 10px 0 #5D737E,
              inset -2px 2px 6px 2px #5D737E;
}
/* @media (max-width: 767px) {
    .lateral-menu:hover { width: 30vw; }
}
@media (min-width: 768px) {
    .lateral-menu:hover { width: 30vw; }
} */

.lm-text-data {
  color: #CCCCCC;
}
.lm-text-title {
  color: #5D737E;
  font-weight: bold;
}
.lm-text-info {
  color: #8FA1AF;
  font-style: italic;
}

.lm-element {
  transition: opacity 0.3s ease;
  transition-delay: 0.1s;
}
.lm-e0 {
  width: 10px;
  height: 10px;

  bottom: calc(50vh - 17.5px);
  left: 0;

  z-index: 101;

  /* background-color: red; */
}

.lm-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.lm-title {
  color: #CCCCCC;

  text-align: center;
  font-size: 20px;

  margin-top: 2px;
  margin-bottom: 2px;
  flex-grow: 1;

  cursor: default;
}

.lm-section {
    margin-top: 10px;
    margin-left: 1vw;
    margin-right: 1vw;
}
.lm-s1 {
  height: calc(30vh - 82px);
  /* HEIGHT COMPUTATION:
  .lm-s1 base height = 30vh                                                             --> container size
  .lm-title height = 20px (font) + 2px (margin-top) + 2px (margin-bottom)               --> x 1
  .lm-section height = 10px (margin-top)                                                --> x 4 (+ 1 virtual margin-bottom)
  .lm-s1-header height = 24px                                                           --> x 1
  .lm-section-panel height = 45px                                                       --> x 1
  TOTAL = 143px
  /2    = 72px
  + security margin (10px) because 72px is insufficient for big screens            = 82px */

  margin-top: 0;
  
  border-bottom: solid #CCCCCC 3px;                 /* ALT: 5D737E */
  border-left: solid #CCCCCC 3px;                   /* ALT: 5D737E */
  border-right: solid #CCCCCC 3px;                  /* ALT: 5D737E */
  border-radius: 0 0 8px 12px;

  overflow-y: scroll;
  overflow-x: hidden;
}
.lm-s1-header {
  display: flex;
  height: 24px;
}

.lm-s2 {
  height: calc(70vh - 82px);
  /* HEIGHT COMPUTATION:
  .lm-s1 base height = 30vh                                                             --> container size
  .lm-title height = 20px (font) + 2px (margin-top) + 2px (margin-bottom)               --> x 1
  .lm-section height = 10px (margin-top)                                                --> x 4 (+ 1 virtual margin-bottom)
  .lm-s1-header height = 24px                                                           --> x 1
  .lm-section-panel height = 45px                                                       --> x 1
  TOTAL = 143px
  /2    = 72px
  + security margin (10px) because 72px is insufficient for big screens            = 82px */

  border: solid #CCCCCC 3px;                        /* ALT: 5D737E */
  border-radius: 12px 8px 8px 12px;

  overflow-y: scroll;
  overflow-x: hidden;
}
.lm-s2-table-row {
  position: relative;
}

.lm-section-header {
  background: linear-gradient(to bottom, #2C3E50, #1A2838);
  color: #8FA1AF;
  
  border-top: solid #CCCCCC 3px;                    /* ALT: 5D737E */
  border-left: solid #CCCCCC 3px;                   /* ALT: 5D737E */
  border-right: solid #CCCCCC 3px;                  /* ALT: 5D737E */
  border-radius: 16px 8px 0 0;
  
  flex-grow: 1;

  text-align: center;
  font-size: 14px;
  font-family: 'Times New Roman', Times, serif;
}
.lm-section-header-title {
  justify-content: space-between;
  cursor: default;
}
.lm-section-header-tab {
  padding: 3px 6px 3px 6px;
  cursor: pointer;
}
.tab-checkbox:checked + .lm-section-header-tab {
  background: linear-gradient(to bottom, #A9014B, #1A2838);
}
.lm-section-header-text {
  flex-grow: 1;
  margin-top: auto;
  margin-bottom: auto;
}
.lm-section-header-btn {
  width: 14px;
  height: 14px;
  
  margin-left: 6px;
  margin-right: 6px;

  cursor: pointer;
}
.lm-section-header-icon {
  display: inline-block;
}

.lm-section-table {
  color: #CCCCCC;
  cursor: pointer;
}
.lm-table-text {
  flex-grow: 1;
  
  padding-top: 3px;
  padding-bottom: 3px;

  display: flex;
  justify-content: space-between;

  /* border: 1px solid green; */
}
.lm-table-row-context {
  position: absolute;
  right: -3px;
  width: 0;
  height: 95%;
  opacity: 0.35;
  
  display: flex;
  justify-content: center;
  align-items: center;

  white-space: nowrap;
  overflow: hidden;
  
  transition: width 2s ease-in-out,
              opacity 2s ease-in-out;
}
.lm-table-sub70 {
  min-width: calc(28vw - 90px);
  max-width: calc(210px - 2vw);
  /* MAX-WIDTH COMPUTATION:
  .lateral-menu:hover [width = 30vw | min-width = 300px] - 1vw (.lm-section margin-left) - 1vw (.lm-section margin-right)       --> container size
  .lm-s2 = 3px (border-l) + 3px (border-r)                                                                                      --> x 1
  .marker-circle width = 8px + 4px (margin-right)                                                                               --> x 1
  .mtable-btn width = 16px + 6px (margin-left) + 2px (margin-right)                                                             --> x 2 (remove 1 if possible to let more space to display names? Use hover menu?)
  tr padding = 4px (padding-right) + 4px (padding-left)                                                                         --> x 1
  ::-webkit-scrollbar width = 8px                                                                                               --> x 1
  TOTAL = 82px
  + security margin (8px) because 82px is insufficient for big screens            = 90px */
}
.lm-table-sub75 {
  min-width: calc(28vw - 54px);
  max-width: calc(246px - 2vw);
  /* MAX-WIDTH COMPUTATION:
  .lateral-menu:hover [width = 30vw | min-width = 300px] - 1vw (.lm-section margin-left) - 1vw (.lm-section margin-right)       --> container size
  .checkbox width = 18px + 3px (border-l) + 3px (border-r) + 6px (margin-right)                                                 --> x 1
  .marker-circle width = 8px + 4px (margin-right)                                                                               --> x 0  (rem)
  .mtable-btn width = 16px + 6px (margin-left) + 2px (margin-right)                                                             --> x 0 (remove 2)
  tr padding = 4px (padding-right) + 4px (padding-left)                                                                         --> x 1
  ::-webkit-scrollbar width = 8px                                                                                               --> x 1
  TOTAL = 46px
  + security margin (8px) because 46px is insufficient for big screens            = 54px */
}
.lm-table-sub80 {
  min-width: calc(28vw - 48px);
  max-width: calc(252px - 2vw);
  /* MAX-WIDTH COMPUTATION:
  .lateral-menu:hover [width = 30vw | min-width = 300px] - 1vw (.lm-section margin-left) - 1vw (.lm-section margin-right)       --> container size
  .mtable-btn width = 16px + 6px (margin-left) + 2px (margin-right)                                                             --> x 1
  tr padding = 4px (padding-right) + 4px (padding-left)                                                                         --> x 1
  ::-webkit-scrollbar width = 8px                                                                                               --> x 1
  TOTAL = 40px
  + security margin (8px) because 40px is insufficient for big screens            = 48px */
}
.lm-table-subcol-primary {
  width: 75%;
}
.lm-table-subcol-secondary {
  width: 20%;
}

.lm-section-panel {
  display: flex;
  height: 45px;
}
.lm-section-panel-btn {
  width: 30%;

  display: flex;
  justify-content: space-between;
  align-items: center;
}
.lm-section-panel-tags {
  flex-grow: 1;

  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.lateral-menu:hover .lm-layer1 {
  opacity: 0;
}
.lm-layer2 {
    opacity: 0;
}
.lateral-menu:hover .lm-layer2 {
    opacity: 1;
}
.lm-layer3 {
  display: none;
}








/* UNUSED - DISABLED ---> TO REMOVE +++++ */
/* transform: skewX(20deg); */
.circle {
  position: relative;
  padding: 0;
  margin: 0;
  height: 40vmin;
  width: 40vmin;
  background-color: yellow;
  border-radius: 50%;
  transform: rotate(20deg) translateX(-20vmin);
  overflow: hidden;
  list-style: none;
}
.quarter-circle:hover {
  width: 200px;
  height: 200px;
}

.placeholders {
  position: absolute;
  left: -10%;
  padding-top: 1.5em;
  width: 20vmin;
  height: 20vmin;
  text-align: center;
  transform: rotate(80deg);
  background-color: cyan;
}

/* :root {
    --background-color: #392338;
    --menu-color: #fff;
    --hamburger-color: var(--background-color);
    --icon-hover-color: #c1264e;
    --arrow-hover-color: #ff947f;
  }
  

  body,
  * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }
  
  
  body {
    background-color: var(--background-color);
    color: white;
  }
  
  
  .icon {
    position: absolute;
    top: 70%;
    left: 70%;
    transform: translateX(-50%) translateY(-50%);
  }
  
  
  .hamburger,
  .hamburger::before,
  .hamburger::after {
    position: relative;
    border-radius: 5px;
    transition: all calc(1s / 3) ease;
  }
  
  .hamburger {
    content: " ";
    width: var(--hamburger-width, 20px);
    width: var(--hamburger-height, 2px) solid var(--hamburger-color);
  }
  
  .hamburger::before,
  .hamburger::after {
    content: " ";
    position: absolute;
    left: 50%;
    width: 100%;
    width: var(--hamburger-height, 2px) solid var(--hamburger-color);
    transform: translateX(-50%);
    transition-property: top, bottom, transform;
  }
  
  .hamburger::before {
    top: calc(-1 * var(--hamburger-height, 2px) * 4);
    transition-duration: calc(1s / 1), calc(1s / 1), calc(1s / 4);
  }
  
  .hamburger::after {
    bottom: calc(-1 * var(--hamburger-height, 2px) * 4);
    transition-duration: calc(1s / 1), calc(1s / 1), calc(1s / 4);
  }
  
  
  .menu {
    pointer-events: none;
  }
  
  .menu-circle {
    position: absolute;
    z-index: 13;
    width: calc(var(--menu-whole-size, 0px) / 3 + var(--arrow-size, 0px) + 10);
    height: calc(var(--menu-whole-size, 0px) / 3 + var(--arrow-size, 0px) + 10);
    background-color: var(--background-color);
    overflow: hidden;
  }
  
  .menu-active {
    position: relative;
  }
  
  .menu-toggle {
    z-index: 11;
    position: absolute;
    top: calc(-1 * var(--menu-toggle-size, 0px) / 2);
    left: calc(-1 * var(--menu-toggle-size, 0px) / 2);
    width: var(--menu-toggle-size, 0px);
    height: var(--menu-toggle-size, 0px);
    background-color: var(--menu-color);
    border-radius: 50%;
    transition: transform calc(1s * 1.3);
    cursor: pointer;
    pointer-events: auto;
  }
  
  .menu-listings {
    z-index: 10;
    position: absolute;
    top: calc(-1 * var(--menu-toggle-size, 0px));
    left: calc(-1 * var(--menu-toggle-size, 0px));
    width: calc(var(--menu-toggle-size, 0px) * 2);
    height: calc(var(--menu-toggle-size, 0px) * 2);
    border-radius: 50%;
    transform: scale(0.1) rotate(150deg);
    transition: transform var(--hamburger-animation-duration);
  }
  
  .menu-arrow {
    visibility: hidden;
    position: absolute;
  }
  
  .menu-arrow-top {
    top: 0.5em;
    left: calc(var(--menu-toggle-size, 0px) + var(--arrow-size, 0px));
    transform: rotate(-45deg);
  }
  
  
  .arrow {
    width: var(--arrow-size, 20px);
    height: var(--arrow-size, 20px);
    border-right: calc(var(--arrow-size, 20px) / 3) solid var(--menu-color);
    border-top: calc(var(--arrow-size, 20px) / 3) solid var(--menu-color);
    border-radius: 3px;
    transition: border-color 0.3s;
    cursor: pointer;
    pointer-events: auto;
  }
  
  .arrow:hover {
    border-color: var(--arrow-hover-color);
    transition: border-color 0.3s;
  }
  
  
.circle {
    position: relative;
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    background-color: var(--menu-color);
    border-radius: 50%;
    transform: rotate(calc(var(--li-angle, 0deg) * (var(--li-count, 0) / 2 - 2)));
    overflow: hidden;
    list-style: none;
  }
  
  .circle li {
    position: absolute;
    top: 0;
    right: 0;
    width: 50%;
    height: 50%;
    transform-origin: 0 100%;
  }

  
  .cercle {
    position: relative;
    padding: 0;
    margin: 0;
    height: 40vmin;
    width: 40vmin;
    background-color: yellow;
    border-radius: 50%;
    transform: rotate(20deg) translateX(-20vmin);
    overflow: hidden;
    list-style: none;
  }

  .placeholders {
    position: absolute;
    left: -10%;
    padding-top: 1.5em;
    width: 20vmin;
    height: 20vmin;
    text-align: center;
    transform: rotate(80deg);
    background-color: cyan;
  }

  .quarter-circle {
    position: sticky;
    top: 0;
    
    left: 0;
    width: 100px;
    height: 100px;
    
    border-radius: 0 0 100% 0;
    background-color: blue;
    
  }
  .quarter-circle:hover {
    width: 200px;
    height: 200px;
  } */